Subject: [manet] MANET meeting at IETF85

From: Ulrich Herberg <[email-masked]>
Date: Tue, 9 Oct 2012 14:51:08 -0700

Hi,

the MANET WG will meet on Wednesday, Nov. 7 from 1pm to 2.30pm in Salon A.
If you intend to present something, please send a request to the chairs.

Best regards
Ulrich

---

From: Abdussalam Baryun <[email-masked]>
Date: Fri, 12 Oct 2012 11:34:36 +0200

Please note that I strongly object any including of LOADng draft in the Agenda.
The document is not for MANET, was already presented before, and the
authors are not discussing on ietf lists of any progress. The draft is
not reasonable for the WG, if it is not discussed on the MANET list.

I got no reasonable reply to all my efforts, the last as:
http://www.ietf.org/mail-archive/web/manet/current/msg13448.html

AB

---

From: Bo Berry <[email-masked]>
Date: Fri, 12 Oct 2012 07:39:12 -0400

I've seen a number of emails on the alias but not sure LOADng 
has been accepted by the WG.  Is LOADng asking to be a MANET WG
draft?

-Bo

On Oct 12, 2012, at 5:34 AM, Abdussalam Baryun wrote:

> _______________________________________________
> manet mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/manet

---
We cannot solve our problems with the same thinking we used when we created them. 
Albert Einstein

---

From: Bo Berry <[email-masked]>
Date: Fri, 12 Oct 2012 08:40:09 -0400

Looking at the MANET WG Documents page, LOADng is not on the list. So until LOADng is accepted by the WG, gotta agree with Abdussalam, no need to discuss it in the little time we have for the work we've already accepted.

How does this fit into the WG Charter?

-Bo

Active Internet-Drafts
draft-ietf-manet-dlep-03	Dynamic Link Exchange Protocol (DLEP)	
draft-ietf-manet-nhdp-mib-19	Definition of Managed Objects for the Neighborhood Discovery Protocol	
draft-ietf-manet-nhdp-sec-02	Using Integrity Check Values and Timestamps For Router Admittance in NHDP	
draft-ietf-manet-olsrv2-16	The Optimized Link State Routing Protocol version 2
draft-ietf-manet-olsrv2-metrics-rationale-01	Link Metrics for the Mobile Ad Hoc Network (MANET) Routing 
draft-ietf-manet-olsrv2-mib-04	Definition of Managed Objects for the Optimized Link State Routing Protocol 

---

---

From: "Dearlove, Christopher (UK)" <[email-masked]>
Date: Fri, 12 Oct 2012 13:19:55 +0000

We have often discussed things not yet accepted by the WG, it can be a step towards getting them accepted.

That's not a comment for or against LOADng, discussing LOADng, or adopting LOADng, just an observation on what has happened in the past.

-- 
Christopher Dearlove
Senior Principal Engineer, Communications Group
Communications, Networks and Image Analysis Capability
BAE Systems Advanced Technology Centre
West Hanningfield Road, Great Baddow, Chelmsford, CM2 8HN, UK
Tel: +44 1245 242194 |  Fax: +44 1245 242124
[email-masked] | http://www.baesystems.com

BAE Systems (Operations) Limited
Registered Office: Warwick House, PO Box 87, Farnborough Aerospace Centre, Farnborough, Hants, GU14 6YU, UK
Registered in England & Wales No: 1996687

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Bo Berry
Sent: 12 October 2012 13:40
To: Abdussalam Baryun; <[email-masked]> List; Bo Berry
Subject: Re: [manet] MANET meeting at IETF85

----------------------! WARNING ! ----------------------
This message originates from outside our organisation,
either from an external partner or from the internet.
Keep this in mind if you answer this message.
Follow the 'Report Suspicious Emails' link on IT matters
for instructions on reporting suspicious email messages.
--------------------------------------------------------

-Bo

Active Internet-Drafts

---

********************************************************************
This email and any attachments are confidential to the intended
recipient and may also be privileged. If you are not the intended
recipient please delete it from your system and notify the sender.
You should not copy it or use it for any purpose nor disclose or
distribute its contents to any other person.
********************************************************************

---

From: Teco Boot <[email-masked]>
Date: Fri, 12 Oct 2012 15:33:55 +0200

On July 31th, our chair provided guidance on handling LOADng.
It shows the way forward.

I'm looking forward to an draft-author-manet-loadng-00 draft, submitted before next Monday.
If there is no such draft, and little time to discuss non-wg drafts, we should not discuss an lln draft in our meeting in Atlanta.
I'm OK on discussions on how to fulfill our charter item on a reactive protocol.

Teco

---

From: "Stan Ratliff (sratliff)" <[email-masked]>
Date: Fri, 12 Oct 2012 14:11:55 +0000

> If there is no such draft, and little time to discuss non-wg drafts, we should not discuss an lln draft in our meeting in Atlanta.

One (not too) fine point - we (the MANET WG) will *not* be discussing an LLN draft. At any time. That would be a charter violation - LLN's are defined and worked in ROLL. We are discussing MANET reactive protocols. 

Stan

---

From: "Dearlove, Christopher (UK)" <[email-masked]>
Date: Fri, 12 Oct 2012 14:15:50 +0000

I think you are in violent agreement. The current LOADng draft is (IIRC) aimed at LLNs, so Teco is saying unless there's a new MANET-oriented version it shouldn't be discussed, and you are saying it won't be discussed.

-----Original Message-----
From: Stan Ratliff (sratliff) [mailto:[email-masked]] 
Sent: 12 October 2012 15:12
To: Teco Boot
Cc: Dearlove, Christopher (UK); <[email-masked]> List; Bo Berry (boberry)
Subject: Re: [manet] MANET meeting at IETF85

Stan

---

From: Abdussalam Baryun <[email-masked]>
Date: Fri, 12 Oct 2012 15:34:11 +0100

Hi stan,

>we (the MANET WG) will *not* be discussing an LLN draft

thanks to clarify that, because I remember that you refered in the last
meeting, that LOADng SHOULD be discussed, so I followed my efforts. I am
interested in the work to be changed quickly because in the last meeting
the MANET WG chair has accepted the discussion on the list. Now I
understand that we will have no discussion for the latest individual draft
(which was proposed for the WG in meeting 84),

 thanks,

AB

On Fri, Oct 12, 2012 at 3:11 PM, Stan Ratliff (sratliff) <[email-masked]
> wrote:

> > If there is no such draft, and little time to discuss non-wg drafts, we
> should not discuss an lln draft in our meeting in Atlanta.
>
> One (not too) fine point - we (the MANET WG) will *not* be discussing an
> LLN draft. At any time. That would be a charter violation - LLN's are
> defined and worked in ROLL. We are discussing MANET reactive protocols.
>
> Stan
>
>
> >> That's not a comment for or against LOADng, discussing LOADng, or
> adopting LOADng, just an observation on what has happened in the past.
> >>
> >> --
> >> Christopher Dearlove
> >> Looking at the MANET WG Documents page, LOADng is not on the list. So
> until LOADng is accepted by the WG, gotta agree with Abdussalam, no need to
> discuss it in the little time we have for the work we've already accepted.
> >>
> >> draft-ietf-manet-olsrv2-mib-04       Definition of Managed Objects for
> the Optimized Link State Routing Protocol
> >>
> >>
> >>

---

From: Abdussalam Baryun <[email-masked]>
Date: Fri, 12 Oct 2012 15:41:43 +0100

+1

AB

---

From: Abdussalam Baryun <[email-masked]>
Date: Fri, 12 Oct 2012 15:48:36 +0100

Hi Bo,

It was never on the manet-lists maybe once in last meeting Agenda, but got
two times heated discussions in MANET WG previous meetings, I see that it
was waisting efforts and time.

 I RECOMMEND that discussing something not relevant to WG SHOULD not happen
again and also to any other routing area WG.

AB

---

From: Abdussalam Baryun <[email-masked]>
Date: Fri, 12 Oct 2012 16:03:19 +0100

>
> I think you are in violent agreement. The current LOADng draft is (IIRC)
> aimed at LLNs, so Teco is saying unless there's a new MANET-oriented
> version it shouldn't be discussed, and you are saying it won't be discussed.
>
> I agree that it violates charter to discuss in MANET WG that
individual draft, because ROLL WG beleive that it is their job to discuss
it. This was understood from the last 84 meeting in MANET WG.

AB

---

From: Ulrich Herberg <[email-masked]>
Date: Fri, 12 Oct 2012 08:38:37 -0700

Hi,

(speaking on my own, not to representing the LOADng authors).

As was pointed out before, we often have discussed items that were not WG documents, usually at the end of the meeting, to make sure that there is enough time for WG items. I also agree with what Stan said: MANET should not be standardizing documents that are mainly focused on LLNs; however, a document that is focused on MANETS, and as a matter of fact is also used in LLN deployments should be acceptable, in my opinion.

We are currently finalizing some internal discussions between the authors of LOADng, and I think that there will be an email to the list on that regards in the next few days. Abdussalam, being against presentation of something that has not even been proposed yet is premature and pointless, in my opinion. 

Best regards
Ulrich

---

From: Teco Boot <[email-masked]>
Date: Fri, 12 Oct 2012 17:54:53 +0200

I assume the authors take the guidance from our chair, posted in:
http://www.ietf.org/mail-archive/web/manet/current/msg13305.html

If so, I do not see a reason not to discuss LOADng.
And yes, I am with Stan we will *not* discuss LLN topics in MANET meetings.

Teco

---

From: "JP Vasseur (jvasseur)" <[email-masked]>
Date: Sat, 13 Oct 2012 09:21:35 +0000

Hi Ulrich,

On Oct 12, 2012, at 5:38 PM, Ulrich Herberg wrote:

> As was pointed out before, we often have discussed items that were not WG documents, usually at the end of the meeting, to make sure that there is enough time for WG items. I also agree with what Stan said: MANET should not be standardizing documents that are mainly focused on LLNs;

Just to make sure that we do not play with words …. As agreed between the chairs, it should read "MANET is standardizing documents that are not dealing with LLNs/IoT".
This is much stronger that "mainly on LLNs"

Thanks.

JP. 

> however, a document that is focused on MANETS, and as a matter of fact is also used in LLN deployments should be acceptable, in my opinion.
>

---

From: "JP Vasseur (jvasseur)" <[email-masked]>
Date: Sat, 13 Oct 2012 09:22:09 +0000

> And yes, I am with Stan we will *not* discuss LLN topics in MANET meetings.

Agreed.

Thanks.

JP.

---

From: C Chauvenet <[email-masked]>
Date: Sat, 13 Oct 2012 14:03:18 +0000

Hi all,

I agree with Teco that the message from the chair (http://www.ietf.org/mail-archive/web/manet/current/msg13305.html) is a good move.
In particular that "the LLN needs to be deemphasized as the primary purpose if adopted as manet".

However http://tools.ietf.org/html/draft-clausen-lln-loadng-05 says in its introduction that :

The LLN On-demand Ad hoc Distance-vector Routing Protocol - Next
   Generation (LOADng) is a routing protocol, derived from AODV
   [RFC3561<http://tools.ietf.org/html/rfc3561>] and extended for use in Low power and Lossy Networks
   (LLNs).

So, removing LLNs' related material on this draft could get back to AODV which is already RFC 3561. So what is the improvement ?

>From what I understand, the LOADng purpose should be a new version of AODV addressing some of the points suggested by the MANET chair such as "improvements in heterogeneity support, simplification where sensible, improved control plane flooding, better IPv6 support, and a eventually clear border gateway specification".

In short : LLNs constraints and challenges should not be adressed by LOADng, but LOADng could improve the AODV original specification for MANET networks.

Is my understanding correct ?

Best,

Cédric.

Le 12 oct. 2012 à 17:54, Teco Boot a écrit :

Teco

Hi,

Best regards
Ulrich

-----Original Message-----
From: Stan Ratliff (sratliff) [mailto:[email-masked]]
Sent: 12 October 2012 15:12
To: Teco Boot
Cc: Dearlove, Christopher (UK); <[email-masked]> List; Bo Berry (boberry)
Subject: Re: [manet] MANET meeting at IETF85

Stan

Teco

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Bo Berry
Sent: 12 October 2012 13:40
To: Abdussalam Baryun; <[email-masked]> List; Bo Berry
Subject: Re: [manet] MANET meeting at IETF85

-Bo

Active Internet-Drafts

-Bo

AB

Best regards
Ulrich

---

---

Cédric CHAUVENET
Ph.D Student
[email-masked]<mailto:[email-masked]>
Direct Line :   +33(0)4 98 01 35 81
Mobile :          +33(0)6 30 21 14 91

Standard :   +33(0)4 98 01 60 05
Fax :             +33(0)4 94 14 10 80

1766 Chemin de la Planquette
83130 LA GARDE – France
www.watteco.com<http://www.watteco.com/>

 Before printing think about environment and costs

This Message may contain confidential information intended only for the use of the addressee named above. If you are not the intended recipient of this message you are hereby notified that any use, dissemination, distribution or reproduction of this message is prohibited. If you received this message by mistake, please notify the sender by reply email immediately. Please conduct your own virus checks before opening any attachment as Watteco does not guarantee the integrity of this email or attached files has been maintained nor this communication is free of viruses, interceptions or interference. Any views expressed in this message are those of the individual sender and may not necessarily reflect the views of Watteco. Watteco shall not be responsible nor liable for the improper and incomplete transmission of the information contained in this communication nor for any delay in its receipt or damage to your system.

---

From: Yuichi IGARASHI <[email-masked]>
Date: Sun, 14 Oct 2012 00:08:00 +0900

Hi JP,

> Just to make sure that we do not play with words …. As agreed between the chairs, it should read "
I'm not sure why you suddenly mentioned about "IoT".
We discuss about MANET and just LLN.

Regarding IoT, there are some IoT applications(for example, livestock, 
dairy husbandry,etc) that most sensors are not fixed but mobile ones.

I think we should not add such a new word to this discussion, not to 
make it complex.

Best regards,
Yuichi
(2012/10/13 18:21), JP Vasseur (jvasseur) wrote:
>> On Oct 12, 2012, at 7:15, "Dearlove, Christopher (UK)"<[email-masked]>  wrote:
>>
>>> Registered in England&  Wales No: 1996687
>>>
>>>
>>> Cc: Dearlove, Christopher (UK);<[email-masked]>  List; Bo Berry (boberry)
>>>>> Registered in England&  Wales No: 1996687
>>>>>
>>>>>
>>>>> To: Abdussalam Baryun;<[email-masked]>  List; Bo Berry
>>>>>>> On 10/9/12, Ulrich Herberg<[email-masked]>  wrote:
>>>>>>>> Hi,
>>>>>>>>

-- 
  Hitachi, Ltd., Yokohama Research Laboratory
  IGARASHI Yuichi
  Mail： [email-masked]
  Tel ： +81-(0)45-860-3083
  FAX ： +81-(0)45-860-1673

---

From: "JP Vasseur (jvasseur)" <[email-masked]>
Date: Sat, 13 Oct 2012 15:13:43 +0000

Sure Yiuchi-san, agreed, to stick to LLNs.

On Oct 13, 2012, at 5:08 PM, Yuichi IGARASHI wrote:

> Regarding IoT, there are some IoT applications(for example, livestock, dairy husbandry,etc) that most sensors are not fixed but mobile ones.
> 
> I think we should not add such a new word to this discussion, not to make it complex.
> 
> Best regards,
> Yuichi

---

From: Ulrich Herberg <[email-masked]>
Date: Sat, 13 Oct 2012 08:26:36 -0700

Hi JP,

On Sat, Oct 13, 2012 at 2:21 AM, JP Vasseur (jvasseur)
<[email-masked]>wrote:

> > As was pointed out before, we often have discussed items that were not
> WG documents, usually at the end of the meeting, to make sure that there is
> enough time for WG items. I also agree with what Stan said: MANET should
> not be standardizing documents that are mainly focused on LLNs;
>
> Just to make sure that we do not play with words …. As agreed between the
> chairs, it should read "MANET is standardizing documents that are not
> dealing with LLNs/IoT".

I think (as MANET participant, not LOADng author) that the reactive
protocol in the MANET WG should be a *MANET protocol*. I also think that a
Standards Track document can (or maybe should) mention where it is used in
deployments and implementations. As a matter of fact, LOADng is used in LLN
deployments, and I think this is important to mention. This is just one use
case of LOADng, not the only one. As Adrian said at the last IETF "some if
not all LLNs are MANET, but not all MANETs are LLNs"; as such, I think it
is fair to mention use cases of LOADng and deployments (and clearly there
should be many more use cases that those)
I think this would be fully in charter of MANET, and would not coincide
with any other WG.

Regards
Ulrich

>
> Thanks.
>
> JP.
>
> > however, a document that is focused on MANETS, and as a matter of fact
> is also used in LLN deployments should be acceptable, in my opinion.
> >
> > We are currently finalizing some internal discussions between the
> authors of LOADng, and I think that there will be an email to the list on
> that regards in the next few days. Abdussalam, being against presentation
> of something that has not even been proposed yet is premature and
> pointless, in my opinion.
> >
> > Best regards
> > Ulrich
> >
> >> I think you are in violent agreement. The current LOADng draft is
> (IIRC) aimed at LLNs, so Teco is saying unless there's a new MANET-oriented
> >>> If there is no such draft, and little time to discuss non-wg drafts,
> we should not discuss an lln draft in our meeting in Atlanta.
> >>
> >> One (not too) fine point - we (the MANET WG) will *not* be discussing
> an LLN draft. At any time. That would be a charter violation - LLN's are

---

From: Ulrich Herberg <[email-masked]>
Date: Sat, 13 Oct 2012 08:33:04 -0700

Hi Cédric,

On Sat, Oct 13, 2012 at 7:03 AM, C Chauvenet <[email-masked]>wrote:

>  Hi all,
>
>  I agree with Teco that the message from the chair (
> http://www.ietf.org/mail-archive/web/manet/current/msg13305.html) is a
> good move.

I agree.

>    [RFC3561 <http://tools.ietf.org/html/rfc3561>] and extended for use in Low power and Lossy Networks
>    (LLNs).
>
>

The introduction will be largely changed in the next revision.

> So, removing LLNs' related material on this draft could get back to AODV which is already RFC 3561. So what is the improvement ?

That is not true. There are many improvements from what we learned from
AODV, and which has been integrated when designing the protocol (see below)

> From what I understand, the LOADng purpose should be a new version of AODV addressing some of the points suggested by the MANET chair such as "improvements in heterogeneity support, simplification…

That is exactly what LOADng does (and that will be clearer in the next
revision). It allows for improved flooding (e.g. using SMF/MPR flooding),
it has improved IPv6 support, it is more flexible through the use of
RFC5444, it is simplified as several items from AODV (such as iRREP,
precursor list) have been removed, it is easier to secure using the
security architecture based on RFC5444/RFC6622 and by avoiding iRREPs. We
still need to work in the clearer border gateway specification.

> In short : LLNs constraints and challenges should not be adressed by LOADng, but LOADng could improve the AODV original specification for MANET networks.

As one (out of many) use cases are LLNs, experience from these deployments
should be integrated. But since the reactive MANET protocol is a MANET
protocol, there will be many other use cases which we also address in the
draft. We have learned from the experience with AODV (and there is plenty,
just Google Scholar for AODV), and I think that many of those learnings are
integrated already in LOADng.

Best regards
Ulrich

> not be standardizing documents that are mainly focused on LLNs; however, a
> document that is focused on MANETS, and as a matter of fact is also used in
> LLN deployments should be acceptable, in my opinion.
>
>
>    Cédric CHAUVENET****
> *Ph.D Student*
> [email-masked]****
>  *Direct Line :   *+33(0)4 98 01 35 81****
>  *Mobile :          *+33(0)6 30 21 14 91**
>
> *Standard :*   +33(0)4 98 01 60 05****
>  *Fax :*             +33(0)4 94 14 10 80****
>  ** **
>  1766 Chemin de la Planquette****
>  83130 LA GARDE – France****
>  www.watteco.com
>
>
>    * Before printing think about environment and costs*****
>    *This Message may contain confidential information intended only for
> the use of the addressee named above. If you are not the intended recipient
> of this message you are hereby notified that any use, dissemination,
> distribution or reproduction of this message is prohibited. If you received
> this message by mistake, please notify the sender by reply email
> immediately. Please conduct your own virus checks before opening any
> attachment as Watteco does not guarantee the integrity of this email or
> attached files has been maintained nor this communication is free of
> viruses, interceptions or interference. Any views expressed in this message
> are those of the individual sender and may not necessarily reflect the
> views of Watteco. Watteco shall not be responsible nor liable for the
> improper and incomplete transmission of the information contained in this
> communication nor for any delay in its receipt or damage to your system.*
> *
> *
>
>

---

From: "JP Vasseur (jvasseur)" <[email-masked]>
Date: Sat, 13 Oct 2012 15:44:41 +0000

Hi Ulrich,

On Oct 13, 2012, at 5:26 PM, Ulrich Herberg wrote:

Hi JP,

On Sat, Oct 13, 2012 at 2:21 AM, JP Vasseur (jvasseur) <[email-masked]<mailto:[email-masked]>> wrote:
Hi Ulrich,

I think (as MANET participant, not LOADng author) that the reactive protocol in the MANET WG should be a *MANET protocol*. I also think that a Standards Track document can (or maybe should) mention where it is used in deployments and implementations.

JP> I would not disagree.

As a matter of fact, LOADng is used in LLN deployments, and I think this is important to mention. This is just one use case of LOADng, not the only one.

JP> This is where we have a major disagreement; the fact that this protocol is used for some LLNs does mean that it is the right thing to do for the IETF.
This is why the IETF has formed a WG to deal with LLNs, and the WG worked for years to reach the conclusion that a pro-active protocol should be chosen.

As Adrian said at the last IETF "some if not all LLNs are MANET, but not all MANETs are LLNs"; as such, I think it is fair to mention use cases of LOADng and deployments (and clearly there should be many more use cases that those)
I think this would be fully in charter of MANET, and would not coincide with any other WG.

JP> Working chair-hat on, if we have two WGs going in opposite directions for LLNs, we clearly have an overlap - this is what the chairs of ROLL and MANET
want to avoid.

Regards.

JP.

Regards
Ulrich

Thanks.

JP.

> On Oct 12, 2012, at 7:15, "Dearlove, Christopher (UK)" <[email-masked]<mailto:[email-masked]>> wrote:
>
>> Tel: +44 1245 242194<tel:%2B44%201245%20242194> |  Fax: +44 1245 242124<tel:%2B44%201245%20242124>
>> [email-masked]<mailto:[email-masked]> | http://www.baesystems.com<http://www.baesystems.com/>
>>
>> From: Stan Ratliff (sratliff) [mailto:[email-masked]<mailto:[email-masked]>]
>> Cc: Dearlove, Christopher (UK); <[email-masked]<mailto:[email-masked]>> List; Bo Berry (boberry)
>>>> [email-masked]<mailto:[email-masked]> | http://www.baesystems.com<http://www.baesystems.com/>
>>>>
>>>> From: [email-masked]<mailto:[email-masked]> [mailto:[email-masked]<mailto:[email-masked]>] On Behalf Of Bo Berry
>>>> To: Abdussalam Baryun; <[email-masked]<mailto:[email-masked]>> List; Bo Berry
>>>>>> On 10/9/12, Ulrich Herberg <[email-masked]<mailto:[email-masked]>> wrote:
>>>>>>> Hi,
>>>>>>>
>>>>>> [email-masked]<mailto:[email-masked]>
>>>>> [email-masked]<mailto:[email-masked]>
>>>> [email-masked]<mailto:[email-masked]>
>>>> [email-masked]<mailto:[email-masked]>
>>> [email-masked]<mailto:[email-masked]>
>> [email-masked]<mailto:[email-masked]>
> [email-masked]<mailto:[email-masked]>

---

From: Ulrich Herberg <[email-masked]>
Date: Sat, 13 Oct 2012 08:57:44 -0700

Hi JP,

On Oct 13, 2012, at 8:44, "JP Vasseur (jvasseur)" <[email-masked]> wrote:

>> On Sat, Oct 13, 2012 at 2:21 AM, JP Vasseur (jvasseur) <[email-masked]> wrote:
>>> Hi Ulrich,
>>> 

I repeat what Adrian said: some if not all LLNs are MANETs. Therefore, if we come up with a MANET reactive protocol, it is only logical that for some LLNs the reactive MANET protocol would be suitable as well; but clearly, MANET should cover the general case of MANETs.

> This is why the IETF has formed a WG to deal with LLNs, and the WG worked for years to reach the conclusion that a pro-active protocol should be chosen.

That is fine, and I don't see any problem with that.

> JP> Working chair-hat on, if we have two WGs going in opposite directions for LLNs, we clearly have an overlap - this is what the chairs of ROLL and MANET 

Right, and I don't see why there would be overlap.

Regards
Ulrich

---

From: "JP Vasseur (jvasseur)" <[email-masked]>
Date: Sat, 13 Oct 2012 16:48:22 +0000

Hi Ulrich,

On Oct 13, 2012, at 5:57 PM, Ulrich Herberg wrote:

Hi JP,

On Oct 13, 2012, at 8:44, "JP Vasseur (jvasseur)" <[email-masked]<mailto:[email-masked]>> wrote:

Hi Ulrich,

Hi JP,

JP> So in this case, I would suggest to explicitly exclude all LLNs coverage from the Load ID, and have it covered in ROLL. Does that make sense ?

JP> As long as you agree with the previous statement, we're fine.

Thanks.

JP.

Regards
Ulrich

Regards.

JP.

Regards
Ulrich

Thanks.

JP.

---

From: C Chauvenet <[email-masked]>
Date: Sat, 13 Oct 2012 18:16:18 +0000

Hi Ulrich,

Thank you for your answer, see inline.

Le 13 oct. 2012 à 17:33, Ulrich Herberg a écrit :

Hi Cédric,

On Sat, Oct 13, 2012 at 7:03 AM, C Chauvenet <[email-masked]<mailto:[email-masked]>> wrote:
Hi all,

I agree.

So, removing LLNs' related material on this draft could get back to AODV which is already RFC 3561<tel:3561>. So what is the improvement ?

That is not true. There are many improvements from what we learned from AODV, and which has been integrated when designing the protocol (see below)

>From what I understand, the LOADng purpose should be a new version of AODV addressing some of the points suggested by the MANET chair such as "improvements in heterogeneity support, simplification w…

That is exactly what LOADng does (and that will be clearer in the next revision). It allows for improved flooding (e.g. using SMF/MPR flooding), it has improved IPv6 support, it is more flexible through the use of RFC5444, it is simplified as several items from AODV (such as iRREP, precursor list) have been removed, it is easier to secure using the security architecture based on RFC5444/RFC6622 and by avoiding iRREPs. We still need to work in the clearer border gateway specification.

As one (out of many) use cases are LLNs, experience from these deployments should be integrated.

The distinction between MANET and LLNs seems to be vanish here.
This brings us back to the summer discussion between what is a MANET and what is a LLN that did not really fostered on a consensus.
WG chairs could help there, as it is their related scope.
My vision is that LLNs are more constrained than MANET for the following criterion : Power consumption, Loss of the media, Computation capability, Throughput.
What do you think ?
My vision is also that the level of constraints of LLNs should not be considered in a MANET protocol.
Do you agree ?

I'm trying to figure out if LOADng is efficient over a mains-powered computer using Wifi, a 8K/48K RAM/ROM device,  or both (cover such a wide range would be magical !).

I see in the interop report http://tools.ietf.org/html/draft-lavenu-lln-loadng-interoperability-report-02 in section 3 :

The LOADng routing protocol was run over UDP and
   IPv4.  Either Ethernet or 802.11 wireless network was used in the
   test.

The description of the participants are in section 4.3 :

1 - LIX ) : It
      consists of approximately 6000 lines of JAVA code running in a Mac
      OS environment

2 - Hitachi1) : It consists of 1589 lines of C

      code running in the Hitachi proprietary micro OS environment
      embedded in a 16MHz H8 micro processor.

3 - Hitachi2) : It consists of 1987 lines of C++ code

      running in a Mac OS environment.

So my first guess is that LOADng is suitable for what I called "mains-powered computer using Wifi" ?

But since the reactive MANET protocol is a MANET protocol, there will be many other use cases which we also address in the draft. We have learned from the experience with AODV (and there is plenty, just Google Scholar for AODV), and I think that many of those learnings are integrated already in LOADng.

Best regards
Ulrich

Best,

Cédric.

Teco

Hi,

Best regards
Ulrich

-----Original Message-----
From: Stan Ratliff (sratliff) [mailto:[email-masked]<mailto:[email-masked]>]
Sent: 12 October 2012 15:12
To: Teco Boot
Cc: Dearlove, Christopher (UK); <[email-masked]<mailto:[email-masked]>> List; Bo Berry (boberry)
Subject: Re: [manet] MANET meeting at IETF85

Stan

Teco

-----Original Message-----
From: [email-masked]<mailto:[email-masked]> [mailto:[email-masked]<mailto:[email-masked]>] On Behalf Of Bo Berry
Sent: 12 October 2012 13:40
To: Abdussalam Baryun; <[email-masked]<mailto:[email-masked]>> List; Bo Berry
Subject: Re: [manet] MANET meeting at IETF85

-Bo

Active Internet-Drafts

-Bo

AB

Best regards
Ulrich

---

---

Cédric CHAUVENET
Ph.D Student
[email-masked]<mailto:[email-masked]>
Direct Line :   +33(0)4 98 01 35 81<tel:%2B33%280%294%2098%2001%2035%2081>
Mobile :          +33(0)6 30 21 14 91<tel:%2B33%280%296%2030%2021%2014%2091>

Standard :   +33(0)4 98 01 60 05<tel:%2B33%280%294%2098%2001%2060%2005>
Fax :             +33(0)4 94 14 10 80<tel:%2B33%280%294%2094%2014%2010%2080>

---

From: "JP Vasseur (jvasseur)" <[email-masked]>
Date: Sat, 13 Oct 2012 18:57:37 +0000

Thanks Cedric - I can totally with everything you said.

On Oct 13, 2012, at 8:16 PM, C Chauvenet wrote:

Hi Ulrich,

Hi Cédric,

I agree.

1 - LIX ) : It

Best regards
Ulrich

Best,

Cédric.

Teco

Hi,

Best regards
Ulrich

-----Original Message-----
From: Stan Ratliff (sratliff) [mailto:[email-masked]<mailto:[email-masked]>]
Sent: 12 October 2012 15:12
To: Teco Boot
Cc: Dearlove, Christopher (UK); <[email-masked]<mailto:[email-masked]>> List; Bo Berry (boberry)
Subject: Re: [manet] MANET meeting at IETF85

Stan

Teco

-----Original Message-----
From: [email-masked]<mailto:[email-masked]> [mailto:[email-masked]<mailto:[email-masked]>] On Behalf Of Bo Berry
Sent: 12 October 2012 13:40
To: Abdussalam Baryun; <[email-masked]<mailto:[email-masked]>> List; Bo Berry
Subject: Re: [manet] MANET meeting at IETF85

-Bo

Active Internet-Drafts

-Bo

AB

Best regards
Ulrich

---

---

Cédric CHAUVENET
Ph.D Student

---

From: Jiazi YI <[email-masked]>
Date: Sat, 13 Oct 2012 22:45:06 +0200

Hi Cedric, 

I think I have answered you this question before in a private mail. 

As long as you asked, let me just repeat it again:

Those are tests aimed for interoperability, not for performance. 

So the main purpose is to:
	o Verify the function/messages exchanges of the protocol, so as to find bugs and improve the specification. 
	o Make sure that the document is well written such as independent/interoperable implementations can be developed. 

Those tests are to make sure that the protocol can be implemented independently without consulting the original developers of the protocol. 
So I won't say this interop test is related to the definition of the protocol scope. 

best

Jiazi

On Oct 13, 2012, at 8:16 PM, C Chauvenet <[email-masked]> wrote:

>> On Sat, Oct 13, 2012 at 7:03 AM, C Chauvenet <[email-masked]> wrote:
>> Hi all, 
>> 
>>    [RFC3561] and extended for use in Low power and Lossy Networks
>>    (LLNs).
>> 
>> 
>> [email-masked]

---

From: "JP Vasseur (jvasseur)" <[email-masked]>
Date: Sat, 13 Oct 2012 20:53:13 +0000

Dear Jiazi,

Would you mind sharing the level of interop testing ?

Thanks.

JP.

On Oct 13, 2012, at 10:45 PM, Jiazi YI wrote:

Hi Cedric,

best

Jiazi

On Oct 13, 2012, at 8:16 PM, C Chauvenet <[email-masked]<mailto:[email-masked]>> wrote:

Hi Ulrich,

Hi Cédric,

I agree.

1 - LIX ) : It

Best regards
Ulrich

Best,

Cédric.

Teco

Hi,

Best regards
Ulrich

-----Original Message-----
From: Stan Ratliff (sratliff) [mailto:[email-masked]<mailto:[email-masked]>]
Sent: 12 October 2012 15:12
To: Teco Boot
Cc: Dearlove, Christopher (UK); <[email-masked]<mailto:[email-masked]>> List; Bo Berry (boberry)
Subject: Re: [manet] MANET meeting at IETF85

Stan

Teco

-----Original Message-----
From: [email-masked]<mailto:[email-masked]> [mailto:[email-masked]<mailto:[email-masked]>] On Behalf Of Bo Berry
Sent: 12 October 2012 13:40
To: Abdussalam Baryun; <[email-masked]<mailto:[email-masked]>> List; Bo Berry
Subject: Re: [manet] MANET meeting at IETF85

-Bo

Active Internet-Drafts

-Bo

AB

Best regards
Ulrich

---

---

Cédric CHAUVENET
Ph.D Student

---

From: C Chauvenet <[email-masked]>
Date: Sat, 13 Oct 2012 20:55:43 +0000

Le 13 oct. 2012 à 22:33, Jiazi YI a écrit :

Hi Cedric,

True.
We will see what is the feeling of the WG this time.

Does it means that these implementations have not been deployed ?

What is your feeling regarding my previous question : "I'm trying to figure out if LOADng is efficient over a mains-powered computer using Wifi, a 8K/48K RAM/ROM device,  or both ?"

Cédric.

best

Jiazi

Hi Ulrich,

Hi Cédric,

I agree.

1 - LIX ) : It

Best regards
Ulrich

Best,

Cédric.

Teco

Hi,

Best regards
Ulrich

-----Original Message-----
From: Stan Ratliff (sratliff) [mailto:[email-masked]<mailto:[email-masked]>]
Sent: 12 October 2012 15:12
To: Teco Boot
Cc: Dearlove, Christopher (UK); <[email-masked]<mailto:[email-masked]>> List; Bo Berry (boberry)
Subject: Re: [manet] MANET meeting at IETF85

Stan

Teco

-----Original Message-----
From: [email-masked]<mailto:[email-masked]> [mailto:[email-masked]<mailto:[email-masked]>] On Behalf Of Bo Berry
Sent: 12 October 2012 13:40
To: Abdussalam Baryun; <[email-masked]<mailto:[email-masked]>> List; Bo Berry
Subject: Re: [manet] MANET meeting at IETF85

-Bo

Active Internet-Drafts

-Bo

AB

Best regards
Ulrich

---

---

Cédric CHAUVENET
Ph.D Student

---

From: Jiazi YI <[email-masked]>
Date: Sun, 14 Oct 2012 00:01:42 +0200

Dear Cedric, dear JP

> Would you mind sharing the level of interop testing ?

I'm not sure what does the *level* mean exactly here. 

Currently, all the information available is already in the draft. If you have any other questions, please provide your comments. We will include them in the new revision, if possible. 

> Does it means that these implementations have not been deployed ?

Some of them (not all) have been deployed. 

> What is your feeling regarding my previous question : "I'm trying to figure out if LOADng is efficient over a mains-powered computer using Wifi, a 8K/48K RAM/ROM device,  or both ?"

My feeling is both. 

btw, I don't why we are having this discussion in this session. 
For the moment, the LOADng authors neither submitted a new revision, nor requested a slot in the WG meeting (yet). 
I'm feeling kind of pointless to have this discussion now. 
The comments from the WG would be seriously considered in the next revision of the drafts. The authors would appreciate your comments when the new revision is released. 

best

Jiazi

---

From: Ulrich Herberg <[email-masked]>
Date: Sat, 13 Oct 2012 18:13:33 -0700

Hi Cédric,

On Sat, Oct 13, 2012 at 11:16 AM, C Chauvenet <[email-masked]>wrote:

> [...]
> This brings us back to the summer discussion between what is a MANET and
> what is a LLN that did not really fostered on a consensus.

I am not suggesting to revive a discussion of the definition of a MANET vs
LLN. I did not bring up this discussion. All I am saying is that MANET is
chartered to come up with a reactive protocol. And I believe it should be
allowed to mention where a protocol is used in deployments.

> My vision is that LLNs are more constrained than MANET for the following
> criterion : Power consumption, Loss of the media, Computation capability,
> Throughput.
> What do you think ?

Since you ask here...In my personal opinion,  LLNs are a 100% subset of a
MANET. Both are usually multi-hop, often wireless, with constrained
routers, in many cases incoming packets leave a router on the same
interface that they have been received on, and the topology is dynamic.
MANETs, IMO, have a larger range of "constrained routers", from very
constrained routers (e.g. LLN) to somewhat constrained routers (e.g.
community networks) to non-constrained routers (e.g. certain military
deployments). LLN is focused on extremely constrained devices.
However, I don't say that we should revisit the way how the Routing Area
distributed the tasks in the WGs, nor do I suggest to change the charters.

>
>  I'm trying to figure out if LOADng is efficient over a mains-powered
> computer using Wifi, a 8K/48K RAM/ROM device,  or both (cover such a wide
> range would be magical !).
>

I cannot answer this question, as I have not deployed LOADng on a 8K/48K
RAM/ROM device. Those who have deployments and are willing to disclose
details, may have more details. Just one comment: I have implemented
numerous ad-hoc protocols (OLSRv2, LOADng, RPL, DSDV, ...). LOADng is by
far the simplest to implement and has the least lines of code (by far)
compared to all these other protocols that I have implemented. If you can
run any of these beforementioned protocols on such a device, you can
certainly run LOADng on it.

>
>  I see in the interop report
> http://tools.ietf.org/html/draft-lavenu-lln-loadng-interoperability-report-02 in
> section 3 :
>
> [...]
>

I think Jiazi has already replied to that in a later mail. Interop !=
performance test. LOADng (like any other MANET protocol) can run on any
medium. Testing it on wifi is a simple thing to do. Interop tests are
solely to find out if messages can be parsed correctly, and if the
implementations behave according to the specification.

As Jiazi pointed out correctly, I don't understand why we have this
discussion before you have seen the latest LOADng revision.

Best
Ulrich

---

From: Ulrich Herberg <[email-masked]>
Date: Sat, 13 Oct 2012 18:16:01 -0700

Hi JP,

On Sat, Oct 13, 2012 at 9:48 AM, JP Vasseur (jvasseur)
<[email-masked]>wrote:

> [...]
> I repeat what Adrian said: some if not all LLNs are MANETs. Therefore, if
> we come up with a MANET reactive protocol, it is only logical that for some
> LLNs the reactive MANET protocol would be suitable as well; but clearly,
> MANET should cover the general case of MANETs.
>
>
>  JP> So in this case, I would suggest to explicitly exclude all LLNs
> coverage from the Load ID, and have it covered in ROLL. Does that make
> sense ?
>

I don't understand what you are saying here. That has not been proposed
anywhere in this discussion.

 [...]

>  JP> As long as you agree with the previous statement, we're fine.
Good.

Best
Ulrich

---

From: "JP Vasseur (jvasseur)" <[email-masked]>
Date: Sun, 14 Oct 2012 06:58:31 +0000

Hi Ulrich,

On Oct 14, 2012, at 3:16 AM, Ulrich Herberg wrote:

Hi JP,

On Sat, Oct 13, 2012 at 9:48 AM, JP Vasseur (jvasseur) <[email-masked]<mailto:[email-masked]>> wrote:
[...]
I repeat what Adrian said: some if not all LLNs are MANETs. Therefore, if we come up with a MANET reactive protocol, it is only logical that for some LLNs the reactive MANET protocol would be suitable as well; but clearly, MANET should cover the general case of MANETs.

I don't understand what you are saying here. That has not been proposed anywhere in this discussion.

JP> All I am saying here is that the chairs agreed to avoid overlap, not unusual at the IETF. Since ROLLE is covering LLNs (that's *the* charter), and we will not
cover other types of network that are MANET but not LLNs, the future reactive protocol designed by MANET should explicitly not cover LLNs. This will avoid overlaps.

 [...]

Good.

Best
Ulrich

---

From: "JP Vasseur (jvasseur)" <[email-masked]>
Date: Sun, 14 Oct 2012 07:07:23 +0000

Hi Ulrich,

On Oct 14, 2012, at 3:13 AM, Ulrich Herberg wrote:

Hi Cédric,

On Sat, Oct 13, 2012 at 11:16 AM, C Chauvenet <[email-masked]<mailto:[email-masked]>> wrote:
[...]

I am not suggesting to revive a discussion of the definition of a MANET vs LLN.

JP> Mei neither - this is why, if you suggest to indicate the applicability of the protocol in the document which makes total sense, the WG should exclude LLNs from
this ID explicitly.

I did not bring up this discussion. All I am saying is that MANET is chartered to come up with a reactive protocol. And I believe it should be allowed to mention where a protocol is used in deployments.

Since you ask here...In my personal opinion,  LLNs are a 100% subset of a MANET. Both are usually multi-hop, often wireless, with constrained routers, in many cases incoming packets leave a router on the same interface that they have been received on, and the topology is dynamic.

JP> Well, in this case, pushing your reasoning a bit further, this may very well apply to OSPF, ISIS, … too.
I clearly do not think that LLNs are 100% subset of MANET; there is a tremendous difference between several dozens of highly constrained fixed routers interconnected
by very lossy links providing a few KBits/s and several hundreds of routers with high mobility interconnected by Wifi links.

MANETs, IMO, have a larger range of "constrained routers", from very constrained routers (e.g. LLN) to somewhat constrained routers (e.g. community networks) to non-constrained routers (e.g. certain military deployments). LLN is focused on extremely constrained devices.
However, I don't say that we should revisit the way how the Routing Area distributed the tasks in the WGs, nor do I suggest to change the charters.

JP> IF that were the case, we would not have formed two WG but one.

I cannot answer this question, as I have not deployed LOADng on a 8K/48K RAM/ROM device. Those who have deployments and are willing to disclose details, may have more details. Just one comment: I have implemented numerous ad-hoc protocols (OLSRv2, LOADng, RPL, DSDV, ...). LOADng is by far the simplest to implement and has the least lines of code (by far) compared to all these other protocols that I have implemented. If you can run any of these beforementioned protocols on such a device, you can certainly run LOADng on it.

JP> I wish life was so simple … The argument around simplicity is a recurring one. And unfortunately, simple protocols do not always WORK … I could actually show
you, taking real-life networks (no simulation), how a (simple) reactive routing protocol would break in a LLN.

[...]

I think Jiazi has already replied to that in a later mail. Interop != performance test. LOADng (like any other MANET protocol) can run on any medium. Testing it on wifi is a simple thing to do. Interop tests are solely to find out if messages can be parsed correctly, and if the implementations behave according to the specification.

As Jiazi pointed out correctly, I don't understand why we have this discussion before you have seen the latest LOADng revision.

Best
Ulrich

---

From: Teco Boot <[email-masked]>
Date: Sun, 14 Oct 2012 09:07:32 +0200

I have seen consensus we should not have this discussion right now. 

Also, part of the discussion should be in ROLL. 

So I silently ignore all of it :-)

Nice weekend. 
Teco

Op 14 okt. 2012 om 08:58 heeft "JP Vasseur (jvasseur)" <[email-masked]> het volgende geschreven:

>> On Sat, Oct 13, 2012 at 9:48 AM, JP Vasseur (jvasseur) <[email-masked]> wrote:
>>>> [...]

---

From: Henning Rogge <[email-masked]>
Date: Sun, 14 Oct 2012 09:49:04 +0200

Hi,

On Sun, Oct 14, 2012 at 9:07 AM, JP Vasseur (jvasseur)
<[email-masked]> wrote:
> > MANET. Both are usually multi-hop, often wireless, with constrained routers,
> > in many cases incoming packets leave a router on the same interface that
> > they have been received on, and the topology is dynamic.
>
>
> Well, in this case, pushing your reasoning a bit further, this may very
> well apply to OSPF, ISIS, … too.

OLSR is a normal linkstate protocol which has been optimized for the
mobile/adhoc/instable-link case.

> I clearly do not think that LLNs are 100% subset of MANET; there is a
> tremendous difference between several dozens of highly constrained fixed
> routers interconnected
> by very lossy links providing a few KBits/s and several hundreds of routers
> with high mobility interconnected by Wifi links.

We have been thinking about running something based on OLSR on a VHF
radio... which has a channel capacity of up to 8 kBit/s. I also had
talks with one of the authors at the ROLL group who suggested that
RIPPLE could replace OLSR for city-wide wifi-based mesh networks.

the ROLL group just focus much more on a very specialized area of
adhoc networks, which make them accept some optimizations which would
be not acceptable for MANET.

> IF that were the case, we would not have formed two WG but one.

I think thats a totally different discussion.

> > discussion before you have seen the latest LOADng revision.

I support this. I was present at one discussion about LOADng and we
had quite an interesting talk about gateways and how to integrate
them. This shows (in my opinion) that the focus of LOADng at the IETF
will be broader than just LLNs.

Lets wait until we have a new personal draft, then we can decide if it
fits MANET.

Henning Rogge

-- 
Steven Hawkings about cosmic inflation: "An increase of billions of
billions of percent in a tiny fraction of a second. Of course, that
was before the present government."

---

From: Abdussalam Baryun <[email-masked]>
Date: Sun, 14 Oct 2012 09:49:30 +0200

I agree with Teco, Stan, Macker, Cedric, and JP, regarding excluding
LLNs from drafts related to Mobile Ad Hoc NETworking, or within MANET
discussions. As I posted before, we should not see the
*draft-author-lln-loadng* in MANET meeting IETF85.

I beleive we should not discuss the LOADng individual draft further,
we already gave it enough attention and meeting-time. In the past the
authors of LOADng waisted the time of Face-to-Face meetings, because
they choosed the wrong channel to present their LLN-document and
ideas, even though the IETF participants gave them the chance to
present in MANET WG Agenda-slots, but that should not continue,
because we already have more important work scheduled with milestones.

The strange thing is WHY the document of LOADng was proposed by the
authors to be a MANET document in the IETF 84 MANET WG meeting, while
we already have ROLL WG that is responsible for such LLN Routing
standards?
I recommend that all participants, including MANET and ROLL chairs
agreeing to control/organise face-to-face meetings to avoid that in
the future meetings including the 85 meeting (if you cannot help it
please do free-discussions out the meeting rooms or on the
WGs-mailing-lists).

AB

On 10/14/12, Teco Boot <[email-masked]> wrote:
>>>>> I repeat what Adrian said: some if not all LLNs are MANETs. Therefore,
>>>>> if we come up with a MANET reactive protocol, it is only logical that
>>>>> for some LLNs the reactive MANET protocol would be suitable as well;
>>>>> but clearly, MANET should cover the general case of MANETs.
>>>>
>> JP> All I am saying here is that the chairs agreed to avoid overlap, not
>> unusual at the IETF. Since ROLLE is covering LLNs (that's *the* charter),
>> and we will not
>> cover other types of network that are MANET but not LLNs, the future
>> reactive protocol designed by MANET should explicitly not cover LLNs. This
>> will avoid overlaps.
>>
>>>
>>>  [...]

---

From: Abdussalam Baryun <[email-masked]>
Date: Sun, 14 Oct 2012 10:00:44 +0200

Why wait for the new version, the authors of LOADng already proposed
their LLN-document asking to become MANET document in the 84 meeting,
please refer to the last meeting. It is not right to think that
authors just will change words from LLN to be replaced by MANET as if
they are the same networks. Also we should notice that LOADng is not
better performance than RPL for specific networks as *LLNs*. If it is
we report the facts. Participants respect the ROLL WG to do a good job
and if we see any better routing function, we report to the ROLL WG on
their list or meetings, because we are all in IETF as a team.

AB

On 10/14/12, Henning Rogge <[email-masked]> wrote:
>> > routers,

---

From: Henning Rogge <[email-masked]>
Date: Sun, 14 Oct 2012 10:09:03 +0200

On Sun, Oct 14, 2012 at 10:00 AM, Abdussalam Baryun
<[email-masked]> wrote:
> please refer to the last meeting.

And I think the reason why it has NOT been adapted was that it sounded
too LLN-focused. So the authors agreed they need to do more work on
it.

> It is not right to think that
> they are the same networks.

> Also we should notice that LOADng is not
> we report the facts.

Are you aware of some comparison between RPL and LOADng based on
testing? If not, this makes absolutely no sense.

Henning Rogge

---

From: Daniel He <[email-masked]>
Date: Sun, 14 Oct 2012 10:26:27 +0100

As far as I understood, LLN is performance tweaking in MANET.
I don't see why LLN and MANET can't form into two WGs if they
have better focus individually. In IETF WGs, "SIP-related" technologies
have 12 working groups.

It makes no sense  "against LOADng" to present in MANET meeting.
LLN and MANET are largely overlapping.  if WG charters want to avoid
this kind of overlap,  it is always good that we should invite LOADng
authors
to give a presentation on MANET meeting if the time is  allowed.

There is no absolutely white and black. Any "recommendation" should
be given to technical impact not personally!

Best Regards,

Dan

On 14 October 2012 08:49, Abdussalam Baryun <[email-masked]>wrote:

> > Op 14 okt. 2012 om 08:58 heeft "JP Vasseur (jvasseur)" <
> [email-masked]>
> > het volgende geschreven:
> >
> >> Hi Ulrich,
> >>

-- 
Dan He
---------------------
Tel: +44-788-686-3428

---

From: Abdussalam Baryun <[email-masked]>
Date: Sun, 14 Oct 2012 13:10:12 +0100

never personal, but making sure to have efficient meeting procedure to get
good outcomes from IETF WGs meetings, and spend/enjoy effictive time in
meetings.

AB

---

From: Ulrich Herberg <[email-masked]>
Date: Sun, 14 Oct 2012 08:12:43 -0700

Hi JP,

On Oct 14, 2012, at 0:07, "JP Vasseur (jvasseur)" <[email-masked]> wrote:

>> On Sat, Oct 13, 2012 at 11:16 AM, C Chauvenet <[email-masked]> wrote:
>>> [...]
>>> 

I disagree. How can we exclude it from the document when it is as a matter of fact used in LLNs?  I am just saying that if LOADng is to be accepted by the WG, it has been clearly expressed in the last meeting that it is too focused on LLNs, and should instead focus on the general MANET case. I agree with that. Mentioning one, out of many use cases, in particular when people actually deploy it in that use cases seems just fair, and does not cause any overlap between two working groups.

> JP> Well, in this case, pushing your reasoning a bit further, this may very well apply to OSPF, ISIS, … too.

These protocos don't cope well with lossy channels and dynamic topology changes.

> by very lossy links providing a few KBits/s and several hundreds of routers with high mobility interconnected by Wifi links.

Nobody ever said that MANETs are interconnected by wifi only, or anything about limited size of the network (quite the contrary, they are intended to be very large). Also, MANETs such as Funkfeuer are non-mobile.

> JP> IF that were the case, we would not have formed two WG but one.

I don't want to go in there.

> you, taking real-life networks (no simulation), how a (simple) reactive routing protocol would break in a LLN.

As a matter of fact, there are large-scale deployments of LOADng by industry. If LOADng was not working, I doubt that there would be any money spent on that.
And your last argument is not helpful; I am convinced that for any Standards Track routing protool, I can show you scenarios where it breaks (whereas in other scenarios it works fine). 

Best
Ulrich

---

From: "JP Vasseur (jvasseur)" <[email-masked]>
Date: Sun, 14 Oct 2012 16:13:59 +0000

Hi Ulrich,

On Oct 14, 2012, at 5:12 PM, Ulrich Herberg wrote:

Hi JP,

On Oct 14, 2012, at 0:07, "JP Vasseur (jvasseur)" <[email-masked]<mailto:[email-masked]>> wrote:

Hi Ulrich,

Hi Cédric,

JP> This is your interpretation of the last discussion - please discuss with the WG chairs of ROLL and MANET. We have the mandate to design one protocol for
LLN at the IETF, which leads to no overlap. If you think that the protocol designed by the IETF (RPL) does meet the requirements, and you would like to see some
improvements, then you are extremely welcome in ROLL, to keep improving it. As a matter of fact, there are now several large scale deployments in production but
again we can keep improving it. The "too focussed" is your interpretation, I do no agree with it at all. Actually there are papers available showing why using Load-ng
may lead to serious issues in LLNs; we need to be cautious and conscious on these issues for the best of the Internet.

JP> I am sure that yo understood the analogy, I was not proposing to use OSPF and ISIS … these were example to show that your characterization was not a compelling
argument.

JP> I was giving an example ...

JP> Then let's justify carefully why and when the current standard does not meet the requirements, see how we can improve it if needed and then in a second step
seek of another protocol if required. Once again I am ONLY referring to LLNs, not other types of networks.

Best Regards.

JP.

Best
Ulrich

[...]

Best
Ulrich

---

From: Ulrich Herberg <[email-masked]>
Date: Sun, 14 Oct 2012 17:57:12 -0700

Hi JP,

I think this discussion diverges into a comparison proactive vs. reactive
protocols. I do not doubt that you can show me proof that in certain
scenarios, reactive protocols perform poorly. I can do the same exercise
for proactive protocols in other scenarios. MANET has gone though that
about 10 years ago, and decided that "no-one-size-fits-all", but rather
that we were chartered to produce a std. track reactive protocols *and*
a std. track proactive protocol.

And I think this is the most important argument in this discussion: MANET
is chartered to come up with a reactive protocol for MANETs. And I believe
it is a good idea to mention in which deployments a specification is used.
It was also agreed at the last MANET meeting that if LOADng was to be
considered for MANET, it needs to de-emphasize LLNs (which I have not heard
anybody disagree with so far). So I don't understand what we are even
discussing here.

Best regards
Ulrich

On Sun, Oct 14, 2012 at 9:13 AM, JP Vasseur (jvasseur)
<[email-masked]>wrote:

>  JP> Mei neither - this is why, if you suggest to indicate the
> applicability of the protocol in the document which makes total sense, the
> WG should exclude LLNs from
> this ID explicitly.
>
>
>
>  I disagree. How can we exclude it from the document when it is as a
> matter of fact used in LLNs?  I am just saying that if LOADng is to be
> accepted by the WG, it has been clearly expressed in the last meeting that
> it is too focused on LLNs, and should instead focus on the general MANET
> case. I agree with that. Mentioning one, out of many use cases, in
> particular when people actually deploy it in that use cases seems just
> fair, and does not cause any overlap between two working groups.
>
>
>  JP> This is your interpretation of the last discussion - please discuss
> with the WG chairs of ROLL and MANET. We have the mandate to design one
> protocol for
> LLN at the IETF, which leads to no overlap. If you think that the protocol
> designed by the IETF (RPL) does meet the requirements, and you would like
> to see some
> improvements, then you are extremely welcome in ROLL, to keep improving
> it. As a matter of fact, there are now several large scale deployments in
> production but
> again we can keep improving it. The "too focussed" is your interpretation,
> I do no agree with it at all. Actually there are papers available showing
> why using Load-ng
> may lead to serious issues in LLNs; we need to be cautious and conscious
> on these issues for the best of the Internet.
>
>
>
>
>
>  I did not bring up this discussion. All I am saying is that MANET is
>>   My vision is that LLNs are more constrained than MANET for the
>> following criterion : Power consumption, Loss of the media, Computation
>> capability, Throughput.
>> What do you think ?
>  Since you ask here...In my personal opinion,  LLNs are a 100% subset of
> a MANET. Both are usually multi-hop, often wireless, with constrained
>  JP> I am sure that yo understood the analogy, I was not proposing to use
> OSPF and ISIS … these were example to show that your characterization was
> not a compelling
> argument.
>
>
> by very lossy links providing a few KBits/s and several hundreds of
> routers with high mobility interconnected by Wifi links.
>
>
>  Nobody ever said that MANETs are interconnected by wifi only, or
> anything about limited size of the network (quite the contrary, they are
> intended to be very large). Also, MANETs such as Funkfeuer are non-mobile.
>
>
>  JP> I wish life was so simple … The argument around simplicity is a
> recurring one. And unfortunately, simple protocols do not always WORK … I
> could actually show
>  As a matter of fact, there are large-scale deployments of LOADng by
> industry. If LOADng was not working, I doubt that there would be any money
> spent on that.
> And your last argument is not helpful; I am convinced that for any
> Standards Track routing protool, I can show you scenarios where it breaks
> (whereas in other scenarios it works fine).
>
>
>  JP> Then let's justify carefully why and when the current standard does
> not meet the requirements, see how we can improve it if needed and then in
> a second step

---

From: "JP Vasseur (jvasseur)" <[email-masked]>
Date: Mon, 15 Oct 2012 06:28:14 +0000

Hi Ulrich,

On Oct 15, 2012, at 2:57 AM, Ulrich Herberg wrote:

Hi JP,

I think this discussion diverges into a comparison proactive vs. reactive protocols. I do not doubt that you can show me proof that in certain scenarios, reactive protocols perform poorly. I can do the same exercise for proactive protocols in other scenarios. MANET has gone though that about 10 years ago, and decided that "no-one-size-fits-all", but rather that we were chartered to produce a std. track reactive protocols *and* a std. track proactive protocol.

And I think this is the most important argument in this discussion: MANET is chartered to come up with a reactive protocol for MANETs. And I believe it is a good idea to mention in which deployments a specification is used.

JP> Here we do not disagree at all. I am not saying that reactive protocols are not appropriate in a number of scenario. All I am saying is that *if* you intent to specify
a reactive routing protocol for LLNs, knowing the years of intense work and efforts of the ROLL WG, then it should be discussed with a wider audience. On the other
hand, if your explicitly exclude LLNs from your protocol in your protocol, it is no longer required to involve the ROLL WG. The objective is simply to avoid WG charter
overlap but more importantly try to benefit from the benefit of experts in the area of LLNs to build a good protocol for the Internet.

It was also agreed at the last MANET meeting that if LOADng was to be considered for MANET, it needs to de-emphasize LLNs (which I have not heard anybody disagree with so far). So I don't understand what we are even discussing here.

JP> No, this your recollection of the discussion. "less-focussed" or "de-emphasize" was I think your interpretation. Mine was "not referring to LLNs" at all.
Otherwise, it should be reviewed by both WGs (to be discussed between chairs and AD).

Thanks.

Best Regards.

JP.

Best regards
Ulrich

On Sun, Oct 14, 2012 at 9:13 AM, JP Vasseur (jvasseur) <[email-masked]<mailto:[email-masked]>> wrote:
Hi Ulrich,

Hi JP,

Hi Ulrich,

Hi Cédric,

Best Regards.

JP.

Best
Ulrich

[...]

Best
Ulrich

---

From: C Chauvenet <[email-masked]>
Date: Mon, 15 Oct 2012 08:45:48 +0000

Hi Ulrich,

Le 14 oct. 2012 à 17:12, Ulrich Herberg a écrit :

Hi JP,

Hi Ulrich,

Hi Cédric,

That is an interesting information.
Do you have some material on that ? Was LOADng deployed over LLNs in these cases ?
The description of these deployments could help to see what is targeting.

Overall, I think the discussion need the new version of LOADng to move on.
As IETF is coming fast, I guess that it will released in the coming days ?
Once released, we could see how its relates to the MANET charter and scope, and do not conflict with RFC6550, the routing protocol for LLNs designed by the IETF.

Cédric.

Best
Ulrich

[...]

Best
Ulrich

---

From: Abdussalam Baryun <[email-masked]>
Date: Mon, 15 Oct 2012 12:19:37 +0200

Hi Cedric,

> Once released, we could see how its relates to the MANET charter and scope,
> and do not conflict with RFC6550, the routing protocol for LLNs designed by
> the IETF.

LOADng if to be adopted by  MANET, I recommend the change of the name
and specification. It should not be *LLN On demand Ad hoc Distance
vector next generation*, I suggest to be : Lossy MANET On demand Ad
hoc Distance-vector next generation (LOADng).
So far the specification has included RFC5444 and AODV techniques
which is excellent, just needs more editting to include MANET
scenarios.

AB

---

From: C Chauvenet <[email-masked]>
Date: Mon, 15 Oct 2012 10:38:23 +0000

Hi AB, 

> hoc Distance-vector next generation (LOADng).

I think it is the responsibility of authors to choose the title of their document, but LLN references should definitely move away, and not only in the title, as it is a MANET protocol.

> which is excellent, just needs more editting to include MANET

or exclude LLN-specific scenarios...

Cédric.

---

From: Thomas Heide Clausen <[email-masked]>
Date: Mon, 15 Oct 2012 22:25:17 +0900

> or exclude LLN-specific scenarios...

That would be very intellectually dishonest, considering that LOADng is widely deployed on what you call "LLN-specific scenarios" (although I adhere to what Adrian said: that LLNs are a subset of MANETs)

Thomas

---

From: "JP Vasseur (jvasseur)" <[email-masked]>
Date: Mon, 15 Oct 2012 13:31:39 +0000

Hi,

On Oct 15, 2012, at 12:38 PM, C Chauvenet wrote:

> or exclude LLN-specific scenarios…

and change the name, to avoid mis-interpretation …

Thanks.

JP.

---

From: Thomas Heide Clausen <[email-masked]>
Date: Mon, 15 Oct 2012 23:00:29 +0900

On 14 oct. 2012, at 16:07, "JP Vasseur (jvasseur)" <[email-masked]> wrote:

<SNIP>

> you, taking real-life networks (no simulation), how a (simple) reactive routing protocol would break in a LLN.

That would be an instance of the argument:

	"Show me protocol X, and I can construct a scenario wherein protocol X breaks".

That doesn't mean, however, that protocol X cannot be (and has not been and will not be) successfully deployed in other scenarios.

Thus, I'd really suggest not going there (the IETF-version of Godwin's law?).

Thomas

---

From: "JP Vasseur (jvasseur)" <[email-masked]>
Date: Mon, 15 Oct 2012 14:24:39 +0000

On Oct 15, 2012, at 3:25 PM, Thomas Heide Clausen wrote:

> That would be very intellectually dishonest,

JP> Let's not make any personal statement.

> considering that LOADng is widely deployed on what you call "LLN-specific scenarios" (although I adhere to what Adrian said: that LLNs are a subset of MANETs)

JP> Then document the scenarios, and run them by the ROLL WG, since LLNs routing is being discussed in the ROLL WG, as decided by the IESG.

Thanks.

Best Regards.

JP.

---

From: "JP Vasseur (jvasseur)" <[email-masked]>
Date: Mon, 15 Oct 2012 14:30:03 +0000

By the way …

[snip]

JP2> We also know a number of deployed proprietary protocols … which does not mean that they should become IETF standards ...

Thanks.

Best Regards.

JP.

Thomas

Cédric.

AB

Cédric.

---

From: Thomas Heide Clausen <[email-masked]>
Date: Mon, 15 Oct 2012 16:31:36 +0200

> JP> Let's not make any personal statement.

My comment was nothing more than a statement as to what the should be written in a document as to a protocol applicability. I believe that it would be intellectually dishonest of the authors (or WG) of a document to deliberately exclude or distort known facts of the applicability of a protocol. I'd assume that any IETFer would agree with this by default.

Thomas

---

From: "JP Vasseur (jvasseur)" <[email-masked]>
Date: Mon, 15 Oct 2012 14:40:02 +0000

> My comment was nothing more than a statement as to what the should be written in a document as to a protocol applicability. I believe that it would be intellectually dishonest of the authors (or WG…

And my point was that if a new protocol is aimed at being standardized at the IETF for an applicability in a domain X, it may be wise to then run it by the WG in charge of working on the said domain. I'd also assume that any IETFer would agree with this too.

Best Regards.

JP.

---

From: Thomas Heide Clausen <[email-masked]>
Date: Mon, 15 Oct 2012 16:44:24 +0200

> And my point was that if a new protocol is aimed at being standardized at the IETF for an applicability in a domain X, it may be wise to then run it by the WG in charge of working on the said domai…

Yep. LOADng is intended for the MANET domain, and is discussed here. It also, but not exclusively, is applicable to the special case of a MANET that some call an LLN.

So, I'd suggest that we're in agreement?

Thomas

---

From: Ulrich Herberg <[email-masked]>
Date: Mon, 15 Oct 2012 08:22:44 -0700

Hi JP,

On Sun, Oct 14, 2012 at 11:28 PM, JP Vasseur (jvasseur)
<[email-masked]>wrote:

> [...]
>
>
>  JP> Here we do not disagree at all. I am not saying that reactive
> protocols are not appropriate in a number of scenario. All I am saying is
> that *if* you intent to specify
> a reactive routing protocol for LLNs, knowing the years of intense work
> and efforts of the ROLL WG, then it should be discussed with a wider
> audience.
>

I agree. But that's not we are intending to do. We intent to produce a
reactive protocol for MANETs, which is requested by the MANET charter.
LOADng is a protocol that covers all the use cases of MANETs, one of which
being LLNs.
And yes, the introduction and title of the draft needs to be changed

> On the other
> hand, if your explicitly exclude LLNs from your protocol in your protocol,
> it is no longer required to involve the ROLL WG. The objective is simply to
> avoid WG charter
> overlap but more importantly try to benefit from the benefit of experts in
> the area of LLNs to build a good protocol for the Internet.
>

I am personally against removing to mention a use case where as a matter of
fact the protocol is used in (as *one* use-case out of many).

Citing Adrian from the last MANET meeting:

Adrian Farrell: If you were to pick up a reactive protocol for MANET,
you would be in charter. If you pick up a protocol and your main use
case is for LLNs, you have diverged from charter. Main use case is
delicate thing to talk about. It is clear that some if not all LLNs
are MANET. Not all MANETs are LLNs. So you need to be producing a
single reactive protocol for MANETs, not for *some* MANETs. You need
to be clear that the protocol you work on is applicable across all
MANETs. If that picks up some LLNs across the way, no big deal, but it
should not be main use case. Look at all use cases for MANETs and make
sure you address all of those.

This is exactly what we intend to do.

>  JP> No, this your recollection of the discussion. "less-focussed" or
> "de-emphasize" was I think your interpretation. Mine was "not referring to
> LLNs" at all.
>

I sincerely suggest to wait until you read the new revision, as this
discussion is hypothetical without that.

Best
Ulrich

---

From: "JP Vasseur (jvasseur)" <[email-masked]>
Date: Mon, 15 Oct 2012 15:54:20 +0000

> So, I'd suggest that we're in agreement?

JP> I do not think so … All I am saying is that *if* you design a protocol for LLNs or a superset including LLNs, then at the very least it should be discussed
in the WG formed at the IETF for Routing in LLNs: ROLL. Remember that the IETF has formed a WG for that purpose.
If you exclude LLNs from the routing protocol applicability, I guess that it addresses a MANET charter work item indeed.

Thanks.

JP.

---

From: "JP Vasseur (jvasseur)" <[email-masked]>
Date: Mon, 15 Oct 2012 15:57:20 +0000

Hi Ulrich,

On Oct 15, 2012, at 5:22 PM, Ulrich Herberg wrote:

Hi JP,

On Sun, Oct 14, 2012 at 11:28 PM, JP Vasseur (jvasseur) <[email-masked]<mailto:[email-masked]>> wrote:
[...]

JP> Here we do not disagree at all. I am not saying that reactive protocols are not appropriate in a number of scenario. All I am saying is that *if* you intent to specify
a reactive routing protocol for LLNs, knowing the years of intense work and efforts of the ROLL WG, then it should be discussed with a wider audience.

I agree. But that's not we are intending to do. We intent to produce a reactive protocol for MANETs, which is requested by the MANET charter. LOADng is a protocol that covers all the use cases of MANETs, one of which being LLNs.

JP> See previous email …. then it should be run by the WG in charge of routing protocol in LLN, that excluded the use of reactive routing
after years of work.

JP> No issue with this.

On the other

I am personally against removing to mention a use case where as a matter of fact the protocol is used in (as *one* use-case out of many).

Adrian Farrell: If you were to pick up a reactive protocol for MANET, you would be in charter. If you pick up a protocol and your main use case is for LLNs, you have diverged from charter. Main use case is delicate thing to talk about. It is clear that some if not all LLNs are MANET. Not all MANETs are LLNs. So you need to be producing a single reactive protocol for MANETs, not for *some* MANETs. You need to be clear that the protocol you work on is applicable across all MANETs. If that picks up some LLNs across the way, no big deal, but it should not be main use case. Look at all use cases for MANETs and make sure you address all of those.

JP> I cannot speak for our AD. As a WG co-chair, the minimum would be to make sure that the ROLL WG reviews the work in great details.

I sincerely suggest to wait until you read the new revision, as this discussion is hypothetical without that.

JP> Sure, when can we expect to see it ?

Thanks.

JP.

Best
Ulrich

---

From: C Chauvenet <[email-masked]>
Date: Mon, 15 Oct 2012 16:00:37 +0000

Hi ulrich and Thomas

Le 15 oct. 2012 à 17:22, Ulrich Herberg a écrit :

Hi JP,

On the other

You'll not the "If that picks up some LLNs across the way, no big deal, but it should not be main use case".

That is why I asked in a previous mail the nature of LOADng deployments you were talking about.
I cannot find any material on this.
If they are LLN, then it seems in disagreement with what Adrian suggest.

Agree that the new version should be a good point of discussion.

Best,

Cédric.

Best
Ulrich

---

From: Abdussalam Baryun <[email-masked]>
Date: Mon, 15 Oct 2012 18:53:33 +0100

Hi Ulrich,

MANET WG is working on AODVv2 (DYMO born 2005), we already discussed this
on the list. There is MANET WG consensus on the AODVv2 for many years, so
it should go forward to submission without noise from another
reactive-draft that was born in 2011. Do you mean there was an agreement
that we leave AODVv2 and replace to LOADng, if so please advise, (this
maybe agreed out of the meetings and the list which is not authorised yet).

AB

On Mon, Oct 15, 2012 at 4:22 PM, Ulrich Herberg <[email-masked]> wrote:

> Hi JP,
>
>
> On Sun, Oct 14, 2012 at 11:28 PM, JP Vasseur (jvasseur) <
> [email-masked]> wrote:
>
>> [...]
>>
>>
>> hand, if your explicitly exclude LLNs from your protocol in your
>> protocol, it is no longer required to involve the ROLL WG. The objective is
>> simply to avoid WG charter
>> overlap but more importantly try to benefit from the benefit of experts
>> in the area of LLNs to build a good protocol for the Internet.
>>
>
> I am personally against removing to mention a use case where as a matter
> of fact the protocol is used in (as *one* use-case out of many).
>

---

From: Abdussalam Baryun <[email-masked]>
Date: Mon, 15 Oct 2012 18:58:12 +0100

>
>
> Yep. LOADng is intended for the MANET domain, and is discussed here. It
> also, but not exclusively, is applicable to the special case of a MANET
> that some call an LLN.
>

I call thoes: Lossy MANET = LMANET

AB

---

From: Ulrich Herberg <[email-masked]>
Date: Mon, 15 Oct 2012 11:01:19 -0700

Hi AB,

> maybe agreed out of the meetings and the list which is not authorised yet).

As you can read in the last MANET minutes, there were discussions to adopt
LOADng as WG document. Per charter, there is only one reactive routing
protocol in MANET. There has not been a WG decision on that yet, in part
because we need a new LOADng revision first, before it can even be
considered.

Best regards
Ulrich

>
> AB
>
> On Mon, Oct 15, 2012 at 4:22 PM, Ulrich Herberg <[email-masked]>wrote:
>
>> Hi JP,
>>
>>

---

From: Abdussalam Baryun <[email-masked]>
Date: Mon, 15 Oct 2012 19:03:21 +0100

there was discussion but no consensus, and there was objections,

AB

---

From: Henning Rogge <[email-masked]>
Date: Mon, 15 Oct 2012 20:06:24 +0200

On Mon, Oct 15, 2012 at 7:58 PM, Abdussalam Baryun
<[email-masked]> wrote:
>> also, but not exclusively, is applicable to the special case of a MANET that
>> some call an LLN.
>

Has there ever been a MANET without lossy links, except for the ones
in simulation (NS2, wifi, tworay-ground)?

Henning Rogge

---

From: "JP Vasseur (jvasseur)" <[email-masked]>
Date: Mon, 15 Oct 2012 19:35:49 +0000

Hi Henning,

> in simulation (NS2, wifi, tworay-ground)?

LLN is a combination of well-known constrained though: lossy links, low bandwidth and constrained nodes.
This is that unique combination that makes it difficult and that justified forming a new WG at the IETF (ROLL).
Does that make sense ?

Thanks.

JP.

---

From: Henning Rogge <[email-masked]>
Date: Tue, 16 Oct 2012 07:28:22 +0200

On 10/15/2012 09:35 PM, JP Vasseur (jvasseur) wrote:
> This is that unique combination

No, it is not unique.

Its also the default description of MANET/MESH.

 > that makes it difficult and that justified forming a new WG at the 
IETF (ROLL).
> Does that make sense ?

ROLL looks (mostly) into Zigbee based stationary networks. This are 
reasonable fast networks and one of the basic assumptions of of ROLL 
seems to be that the link quality doesn't change that much over time (an 
assumption that makes sense because of the lack of mobility).

This is a part of the "problem space" MANET looks into... similar to the 
fact that some MANET protocols are just normal routing protocols that 
have been optimized for less stable links.

Henning Rogge

-- 
Diplom-Informatiker Henning Rogge , Fraunhofer-Institut für
Kommunikation, Informationsverarbeitung und Ergonomie FKIE
Kommunikationssysteme (KOM)
Fraunhofer Straße 20, 53343 Wachtberg, Germany
Telefon +49 228 9435-961,   Fax +49 228 9435 685
mailto:[email-masked] http://www.fkie.fraunhofer.de

---

From: "JP Vasseur (jvasseur)" <[email-masked]>
Date: Tue, 16 Oct 2012 07:37:10 +0000

Hi,

> Its also the default description of MANET/MESH.

JP> OK let's not argue further, this will not help.

> 
> > that makes it difficult and that justified forming a new WG at the IETF (ROLL).
>> Does that make sense ?
> 
> ROLL looks (mostly) into Zigbee based stationary networks.

JP> This is completely incorrect. Being a co-chair of ROLL for the past 4+ years, you may not have followed our work, but although Zigbee/IP
is using RPL in one of its modes of operation, ROLL is not mostly into Zigbee at all. As a matter of fact, most of the RPL-based networks are
outdoor large meshes using in smart cities and start metering to mention a few examples, using 15.4g but also PLC P1901.2, with high variation
of ETX.

> This are reasonable fast networks and one of the basic assumptions of of ROLL seems to be that the link quality doesn't change that much over time (an assumption that makes sense because of the lack of mobility).
> 

JP> Again incorrect. ETX is *not* stable because of the lack of mobility. Please loos at http://tools.ietf.org/html/draft-hui-vasseur-roll-rpl-deployment-01
Figure 3. I could show you deployed networks with an ETX varying from 1 to 2.5 within a 24-hour period !

> This is a part of the "problem space" MANET looks into... similar to the fact that some MANET protocols are just normal routing protocols that have been optimized for less stable links.

JP> Hopefully I did clarify … you had a wrong perception of ROLL and LLNs.

JP.

---

From: C Chauvenet <[email-masked]>
Date: Tue, 16 Oct 2012 08:14:25 +0000

Hi Henning, 

> outdoor large meshes using in smart cities and start metering to mention a few examples, using 15.4g but also PLC P1901.2, with high variation

Just stress on this fundamental point for people that do not follow ROLL :  LLNs is not restricted to zigbee at all !

>> This are reasonable fast networks and one of the basic assumptions of of ROLL seems to be that the link quality doesn't change that much over time (an assumption that makes sense because of the la…

Again, for your information, and as mentioned earlier on this list, No_Mobility != Stable links.

I'm working on 15.4 and PLC solutions, and PLC is a perfect example : PLC (indeed) don't move but present a high dynamic behavior because of the electrical activity on the grid.
I don't know what is "fast" for you, but PLC can go down to a few kbps in robust mode when  conditions are harsh.
Also, for RF solution, low throughput induce longer range that can be suitable for LLNs deployments.
A concrete example to show this: Engineers from TI have reached an 7 km range using their CC1120 transceiver using a throughput of ... 1,2 kbps !
I think such high constraints cannot be handle by a routing protocol that do not consider LLNs in its former scope.

Cédric.

---

From: Abdussalam Baryun <[email-masked]>
Date: Tue, 16 Oct 2012 11:55:50 +0200

I understand you ment that ROLL looks also in similar applications of
Zigbee as Home Networks. However, Zigbee is standard for another
organisation, but IETF does not standard that, IMHO, we don't discuss
*Zigbee standards* in IETF WGs, but we may discuss how to interoperate
MANETs or LLNs with Zigbee-Internet technologies.

AB
+++

---

From: "JP Vasseur (jvasseur)" <[email-masked]>
Date: Tue, 16 Oct 2012 10:16:44 +0000

> MANETs or LLNs with Zigbee-Internet technologies.

Not even so, Zigbee chose several IETF protocols.

---

From: Cedric-2 LAVENU <[email-masked]>
Date: Tue, 16 Oct 2012 18:58:32 +0200

Dear Cédric,

I'm not sure all this discussions really make sense :

> An LLN network is definitely a type of MANET according to what Adrian 
said (he has been quoted several times in the past mails). One of the 
fileds LOADng is intended to be used are AMI PLC networks with low 
bandwidth (few kbps in the harshest environments), but can be extensible 
to other types of MANETs.

And regarding your comment about experience with LOADng :

> LOADng is a protocol for which several running implementations exist and 
interoperate as shown in draft : 
http://tools.ietf.org/html/draft-lavenu-lln-loadng-interoperability-report-02
> In addition, LOAD (the previous version) was successfully run in a 2000 
PLC node trial.

I think that all the facts are on the table to say that LOAD would be 
suitable for MANETs (LLNs being a subset of MANETs). In addition field and 
lab experience does exist and demonstrated that LOADng can be very 
efficient.

Regards,
Cédric

Cédric LAVENU
Research Engineer
EDF – R&D
MIRE Department
1 avenue du général de Gaulle
92141 CLAMART - FRANCE
 
[email-masked]
Tél. : +33 1 47 65 27 29
Fax : +33 1 47 65 55 56

Un geste simple pour l'environnement, n'imprimez ce message que si vous en 
avez l'utilité.

De :    [email-masked]
A :     [email-masked], [email-masked]
Cc :    [email-masked], [email-masked], [email-masked], 
[email-masked]
Date :  15/10/2012 18:01
Objet : Re: [manet] MANET meeting at IETF85
Envoyé par :    [email-masked]

Hi ulrich and Thomas 

Hi JP, 

 
On the other
hand, if your explicitly exclude LLNs from your protocol in your protocol, 
it is no longer required to involve the ROLL WG. The objective is simply 
to avoid WG charter
overlap but more importantly try to benefit from the benefit of experts in 
the area of LLNs to build a good protocol for the Internet.

Citing Adrian from the last MANET meeting:
Adrian Farrell: If you were to pick up a reactive protocol for MANET, you 
would be in charter. If you pick up a protocol and your main use case is 
for LLNs, you have diverged from charter. Main use case is delicate thing 
to talk about. It is clear that some if not all LLNs are MANET. Not all 
MANETs are LLNs. So you need to be producing a single reactive protocol 
for MANETs, not for *some* MANETs. You need to be clear that the protocol 
you work on is applicable across all MANETs. If that picks up some LLNs 
across the way, no big deal, but it should not be main use case. Look at 
all use cases for MANETs and make sure you address all of those.

You'll not the "If that picks up some LLNs across the way, no big deal, 
but it should not be main use case".

That is why I asked in a previous mail the nature of LOADng deployments 
you were talking about.
I cannot find any material on this.
If they are LLN, then it seems in disagreement with what Adrian suggest.

It was also agreed at the last MANET meeting that if LOADng was to be 
considered for MANET, it needs to de-emphasize LLNs (which I have not 
heard anybody disagree with so far). So I don't understand what we are 
even discussing here. 

Best,

Cédric.

Otherwise, it should be reviewed by both WGs (to be discussed between 
chairs and AD).

Best
Ulrich 

Ce message et toutes les pièces jointes (ci-après le 'Message') sont établis à l'intention exclusive des destinataires et les informations qui y figurent sont strictement confidentielles. Toute utilisation de ce Message non conforme à sa destination, toute diffusion ou toute publication totale ou partielle, est interdite sauf autorisation expresse.

Si vous n'êtes pas le destinataire de ce Message, il vous est interdit de le copier, de le faire suivre, de le divulguer ou d'en utiliser tout ou partie. Si vous avez reçu ce Message par erreur, merci de le supprimer de votre système, ainsi que toutes ses copies, et de n'en garder aucune trace sur quelque support que ce soit. Nous vous remercions également d'en avertir immédiatement l'expéditeur par retour du message.

Il est impossible de garantir que les communications par messagerie électronique arrivent en temps utile, sont sécurisées ou dénuées de toute erreur ou virus.
____________________________________________________

This message and any attachments (the 'Message') are intended solely for the addressees. The information contained in this Message is confidential. Any use of information contained in this Message not in accord with its purpose, any dissemination or disclosure, either whole or partial, is prohibited except formal approval.

If you are not the addressee, you may not copy, forward, disclose or use any part of it. If you have received this message in error, please delete it and all copies from your system and notify the sender immediately by return message.

E-mail communication cannot be guaranteed to be timely secure, error or virus-free.

---

From: "JP Vasseur (jvasseur)" <[email-masked]>
Date: Tue, 16 Oct 2012 17:17:55 +0000

Dear Cedric,

On Oct 16, 2012, at 6:58 PM, Cedric-2 LAVENU wrote:

Dear Cédric,

I'm not sure all this discussions really make sense :

> An LLN network is definitely a type of MANET according to what Adrian said (he has been quoted several times in the past mails). One of the fileds LOADng is intended to be used are AMI PLC networks with low bandwidth (few kbps in the harshest environments), but can be extensible to other types of MANETs.

And regarding your comment about experience with LOADng :

> LOADng is a protocol for which several running implementations exist and interoperate as shown in draft : http://tools.ietf.org/html/draft-lavenu-lln-loadng-interoperability-report-02
> In addition, LOAD (the previous version) was successfully run in a 2000 PLC node trial.

I think that all the facts are on the table to say that LOAD would be suitable for MANETs (LLNs being a subset of MANETs). In addition field and lab experience does exist and demonstrated that LOADng can be very efficient.

JP> Note that an interop document is certainly extremely useful but cannot be used as a proof that a protocol "works" especially at scale.
I think that Cedric was looking for performance numbers, under which conditions, etc …
That being, all I was saying on my side, was that if indeed a protocol is designed to cover LLNs, then it should be ran by the WG in charge
of LLNs. As you pointed out, AMI PLC network are definitely highly constrained LLNs, with flappy/lossy links, low bandwidth, …

Regards.

JP.

Regards,
Cédric
<Mail Attachment.jpeg>
Cédric LAVENU
Research Engineer
EDF – R&D
MIRE Department

[email-masked]<mailto:[email-masked]>
Tél. : +33 1 47 65 27 29
Fax : +33 1 47 65 55 56
<Mail Attachment.gif>
        Un geste simple pour l'environnement, n'imprimez ce message que si vous en avez l'utilité.

De :        [email-masked]<mailto:[email-masked]>
A :        [email-masked]<mailto:[email-masked]>, [email-masked]<mailto:[email-masked]>
Cc :        [email-masked]<mailto:[email-masked]>, [email-masked]<mailto:[email-masked]>, [email-masked]<mailto:[email-masked]>, [email-masked]<mailto:[email-masked]>
Date :        15/10/2012 18:01
Objet :        Re: [manet] MANET meeting at IETF85
Envoyé par :        [email-masked]<mailto:[email-masked]>
________________________________

Hi ulrich and Thomas

Hi JP,

On the other

Best,

Cédric.

Best
Ulrich

---

From: Henning Rogge <[email-masked]>
Date: Tue, 16 Oct 2012 19:30:31 +0200

> of LLNs. As you pointed out, AMI PLC network are definitely highly constrained LLNs, with flappy/lossy links, low bandwidth, …

LoadNG has been developed from AODV, which is a Manet protocol. Yes,
there are MANET protocols which can handle low bandwidth... no
surprise.

And Lossy links are normal for many MANET, please do not pretend they
are something special handled in ROLL.

Henning Rogge

---

From: Ulrich Herberg <[email-masked]>
Date: Tue, 16 Oct 2012 10:53:29 -0700

Hi JP,

On Mon, Oct 15, 2012 at 8:57 AM, JP Vasseur (jvasseur)
<[email-masked]>wrote:

>  JP> See previous email …. then it should be run by the WG in charge of
> routing protocol in LLN, that excluded the use of reactive routing
> after years of work.
>

No. The reactive MANET protocol should be "run" by the WG that is chartered
to produce a reactive MANET protocol. And if this protocol happens to be
used in some large-scale LLN deployments, does not mean that it is
automatically in overlap of charter, as long as that reactive protocol
fullfils the general requirements of MANETs.

>   And yes, the introduction and title of the draft needs to be changed

Good, so you don't have an issue with having that changed. In a previous
email you said you also don't have an issue mentioning where a protocol is
deployed. So I don't understand why we even continue this discussion.

> [...]
>
>
>  JP> I cannot speak for our AD. As a WG co-chair, the minimum would be to
> make sure that the ROLL WG reviews the work in great details.
>

Every individual is very welcome to review documents at any time. This is
normal IETF procedure. If you suggest that there is a LC in ROLL for a
document in MANET, that seems like a new procedure to me that I have not
heard before.

  [...]
>  JP> Sure, when can we expect to see it ?

As soon as possible. Monday October 22 is the deadline to submit new drafts
before this IETF.

Best regards
Ulrich

---

From: "JP Vasseur (jvasseur)" <[email-masked]>
Date: Tue, 16 Oct 2012 20:15:20 +0000

> are something special handled in ROLL.

JP> I do not pretend anything, just referring to the charter and work done there. We will work together, no problem for
the best of the Internet.

Thanks.

JP.

---

From: "JP Vasseur (jvasseur)" <[email-masked]>
Date: Tue, 16 Oct 2012 20:17:41 +0000

Hi Ulrich,

Real quick, let's do this … let's wait to see what comes out, and then all have a productive and fuirtful discussion.
On your last point (and I am not saying that this is what has been decided here, but get a document being reviewed
by two WG does happen.

Thanks.

JP.

On Oct 16, 2012, at 7:53 PM, Ulrich Herberg wrote:

Hi JP,

On Mon, Oct 15, 2012 at 8:57 AM, JP Vasseur (jvasseur) <[email-masked]<mailto:[email-masked]>> wrote:
[...]

No. The reactive MANET protocol should be "run" by the WG that is chartered to produce a reactive MANET protocol. And if this protocol happens to be used in some large-scale LLN deployments, does not mean that it is automatically in overlap of charter, as long as that reactive protocol fullfils the general requirements of MANETs.

JP> No issue with this.

Good, so you don't have an issue with having that changed. In a previous email you said you also don't have an issue mentioning where a protocol is deployed. So I don't understand why we even continue this discussion.

[...]

Every individual is very welcome to review documents at any time. This is normal IETF procedure. If you suggest that there is a LC in ROLL for a document in MANET, that seems like a new procedure to me that I have not heard before.

[...]

As soon as possible. Monday October 22 is the deadline to submit new drafts before this IETF.

Best regards
Ulrich

---

From: Ulrich Herberg <[email-masked]>
Date: Tue, 16 Oct 2012 13:22:49 -0700

Hi JP,

On Tue, Oct 16, 2012 at 1:17 PM, JP Vasseur (jvasseur)
<[email-masked]>wrote:

>  Hi Ulrich,
>
>  Real quick, let's do this … let's wait to see what comes out, and then
> all have a productive and fuirtful discussion.
>

Sounds good.

> here, but get a document being reviewed

IETF is a never-ending learning process :-) Thanks.

Best regards
Ulrich

> On Mon, Oct 15, 2012 at 8:57 AM, JP Vasseur (jvasseur) <[email-masked]
> > wrote:
>
>>     [...]
>>
>  No. The reactive MANET protocol should be "run" by the WG that is
> chartered to produce a reactive MANET protocol. And if this protocol
> happens to be used in some large-scale LLN deployments, does not mean that
> it is automatically in overlap of charter, as long as that reactive
> protocol fullfils the general requirements of MANETs.
>
>
>
>
>>
>>  JP> I cannot speak for our AD. As a WG co-chair, the minimum would be
>> to make sure that the ROLL WG reviews the work in great details.
>>
>
>
>  Every individual is very welcome to review documents at any time. This
> is normal IETF procedure. If you suggest that there is a LC in ROLL for a

---

From: Teco Boot <[email-masked]>
Date: Tue, 16 Oct 2012 22:30:27 +0200

Op 16 okt. 2012, om 19:53 heeft Ulrich Herberg het volgende geschreven:

> Hi JP,
> 
> On Mon, Oct 15, 2012 at 8:57 AM, JP Vasseur (jvasseur) <[email-masked]> wrote:
>> [...]
>> 
+1

> Every individual is very welcome to review documents at any time. This is normal IETF procedure. If you suggest that there is a LC in ROLL for a document in MANET, that seems like a new procedure t…
-1
For me, it is not new at all that drafts pass WGLCs in multiple GWs.
If LLN is mentioned on a MANET document, it shall pass ROLL.
If the MANET protocols' name starts with L, standing for LLN, it should not be submitted in MANET.

> As soon as possible. Monday October 22 is the deadline to submit new drafts before this IETF.
No, deadline for new drafts has passed:
2012-10-15 (Monday): Internet Draft Cut-off for initial document (-00) submission by UTC 24:00, upload using IETF ID Submission Tool.
You have to use a time machine to get this in next MANET meeting. Or use draft-ietf-manet-dymo-23 placeholder.

Why not put energy in get something out?

Teco

---

From: C Chauvenet <[email-masked]>
Date: Tue, 16 Oct 2012 20:50:05 +0000

Hi Cédric, (Hope people will follow which cedric is talking !)

Le 16 oct. 2012 à 18:58, Cedric-2 LAVENU a écrit :

Dear Cédric,

I'm not sure all this discussions really make sense :

> An LLN network is definitely a type of MANET

As JP pointed out, if LLNs challenges can be addressed  in MANET, why would have ROLL being created ?
I think that a protocol intend to LLNs, or if LLNs are included in the scope should be reviewed by the ROLL working group , as it is the place dedicated by the IETF.

Does that makes sense ?

according to what Adrian said (he has been quoted several times in the past mails). One of the fileds LOADng is intended to be used are AMI PLC networks with low bandwidth (few kbps in the harshest environments), but can be extensible to other types of MANETs.

> LOADng is a protocol for which several running implementations exist and interoperate as shown in draft : http://tools.ietf.org/html/draft-lavenu-lln-loadng-interoperability-report-02

yes it has been discussed, and explained that the goal of these test were focused on validating the protocol behavior, not the performance.

> In addition, LOAD (the previous version) was successfully run in a 2000 PLC node trial.

Very nice !
Would you mind to share some details on this ?

Cédric.

Regards,
Cédric
<Pièce jointe Mail.jpeg>
Cédric LAVENU
Research Engineer
EDF – R&D
MIRE Department

<Pièce jointe Mail.gif>

Hi ulrich and Thomas

Hi JP,

On the other

Best,

Cédric.

Best
Ulrich

---

From: C Chauvenet <[email-masked]>
Date: Tue, 16 Oct 2012 20:53:57 +0000

Hi, 

> If LLN is mentioned on a MANET document, it shall pass ROLL.

Agree, seems fair.

> If the MANET protocols' name starts with L, standing for LLN, it should not be submitted in MANET.

Indeed.

Cédric.

---

From: Don Sturek <[email-masked]>
Date: Tue, 16 Oct 2012 06:07:03 -0700

Hi AB,

What exactly do you mean regarding "ZigBee-Internet technologies"?

All a commercial organization like ZigBee is doing is choosing a
collection of IETF standards, defining how to configure and use them, then
setting up a certification program around that profile.

There is no "ZigBee-Internet technologies", only a defined set of IETF
standards optimized for use in certain applications.

Don

---

From: "Timothy J. Salo" <[email-masked]>
Date: Tue, 16 Oct 2012 17:54:31 -0500

> MANETs or LLNs with Zigbee-Internet technologies.
The IETF maintains liaisons with numerous other standards 
organizations.  It is
reasonable, sometimes even important, for the liaison to report during a
working group meeting.  The IETF maintains a liaison with the ZigBee 
Alliance:

-tjs
<http://www.ietf.org/liaison/managers.html>

---

From: Abdussalam Baryun <[email-masked]>
Date: Wed, 17 Oct 2012 10:56:34 +0200

I agree totally with Teco,
thanks Teco very much,

AB

On 10/16/12, Teco Boot <[email-masked]> wrote:
>>> LOADng is a protocol that covers all the use cases of MANETs, one of
>>> which being LLNs.
>>
> 2012-10-15 (Monday): Internet Draft Cut-off for initial document (-00)
> submission by UTC 24:00, upload using IETF ID Submission Tool.